%define upstream_name    IO-Socket-SSL
%define upstream_version 2.027

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Nearly transparent SSL encapsulation for IO::Socket::INET
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::SSLeay) >= 1.460.0
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
IO::Socket::SSL is a class implementing an object oriented
interface to SSL sockets. The class is a descendent of
IO::Socket::INET and provides a subset of the base class's
interface methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo n|%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc BUGS Changes META.json META.yml MYMETA.yml README example
%{_mandir}/*/*
%{perl_vendorlib}/IO

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.27.0-2.mga6
+ Revision: 1028783
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 2.27.0-1.mga6
+ Revision: 1007884
- update to 2.027

* Fri Apr 15 2016 shlomif <shlomif> 2.25.0-1.mga6
+ Revision: 1001990
- update to 2.025

* Wed Feb 10 2016 shlomif <shlomif> 2.24.0-1.mga6
+ Revision: 953361
- update to 2.024

* Sat Jan 16 2016 shlomif <shlomif> 2.22.0-1.mga6
+ Revision: 923788
- update to 2.022

* Mon Sep 28 2015 sander85 <sander85> 2.20.0-1.mga6
+ Revision: 884658
- update to 2.020

* Sun Sep 06 2015 sander85 <sander85> 2.19.0-1.mga6
+ Revision: 873503
- update to 2.019

* Tue Jun 23 2015 sander85 <sander85> 2.16.0-1.mga6
+ Revision: 840200
- update to 2.016

* Wed Oct 15 2014 umeabot <umeabot> 1.998.0-3.mga5
+ Revision: 751253
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.998.0-2.mga5
+ Revision: 685081
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 sander85 <sander85> 1.998.0-1.mga5
+ Revision: 673531
- update to 1.998

* Mon Jul 14 2014 guillomovitch <guillomovitch> 1.997.0-1.mga5
+ Revision: 651975
- new version 1.997

* Sun Jun 22 2014 sander85 <sander85> 1.994.0-1.mga5
+ Revision: 638683
- update to 1.994

* Sat Jun 14 2014 sander85 <sander85> 1.993.0-1.mga5
+ Revision: 636060
- update to 1.993

* Wed Jun 04 2014 sander85 <sander85> 1.992.0-1.mga5
+ Revision: 632965
- update to 1.992

* Tue May 27 2014 sander85 <sander85> 1.991.0-1.mga5
+ Revision: 627079
- update to 1.991

* Sun May 25 2014 sander85 <sander85> 1.989.0-1.mga5
+ Revision: 626443
- update to 1.989

* Tue May 20 2014 jquelin <jquelin> 1.988.0-1.mga5
+ Revision: 624299
- update to 1.988

* Tue May 06 2014 jquelin <jquelin> 1.983.0-1.mga5
+ Revision: 620661
- update to 1.983

* Fri Apr 18 2014 jquelin <jquelin> 1.981.0-1.mga5
+ Revision: 616199
- update to 1.981

* Mon Mar 17 2014 jquelin <jquelin> 1.969.0-1.mga5
+ Revision: 604361
- update to 1.969

* Fri Mar 14 2014 jquelin <jquelin> 1.968.0-1.mga5
+ Revision: 603827
- update to 1.968

* Mon Feb 10 2014 jquelin <jquelin> 1.967.0-1.mga5
+ Revision: 588451
- update to 1.967

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 1.955.0-1.mga4
+ Revision: 497229
- update to 1.955

* Sun Sep 15 2013 sander85 <sander85> 1.954.0-1.mga4
+ Revision: 480052
- update to 1.954

* Mon Jul 22 2013 sander85 <sander85> 1.953.0-1.mga4
+ Revision: 457208
- update to 1.953

* Mon Jul 15 2013 sander85 <sander85> 1.952.0-1.mga4
+ Revision: 454672
- update to 1.952

* Sun Jun 02 2013 kharec <kharec> 1.940.0-1.mga4
+ Revision: 435015
- update to 1.94

* Fri May 31 2013 kharec <kharec> 1.930.0-1.mga4
+ Revision: 433830
- update to 1.93

* Thu May 23 2013 kharec <kharec> 1.890.0-1.mga4
+ Revision: 425267
- update to 1.89

* Sun Jan 13 2013 umeabot <umeabot> 1.810.0-2.mga3
+ Revision: 368548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.810.0-1.mga3
+ Revision: 342223
- update to 1.81

* Mon Oct 15 2012 jquelin <jquelin> 1.770.0-1.mga3
+ Revision: 306138
- update to 1.77

* Mon Jun 18 2012 kharec <kharec> 1.760.0-1.mga3
+ Revision: 261704
- update to 1.76

* Tue Jun 05 2012 jquelin <jquelin> 1.740.0-1.mga3
+ Revision: 255056
- update to 1.74

* Tue Mar 06 2012 jquelin <jquelin> 1.580.0-1.mga2
+ Revision: 219934
- update to 1.58

* Wed Feb 22 2012 kharec <kharec> 1.560.0-1.mga2
+ Revision: 212175
- update to 1.56

* Wed Jan 25 2012 jquelin <jquelin> 1.540.0-1.mga2
+ Revision: 200898
- update to 1.54

* Mon Dec 12 2011 kharec <kharec> 1.530.0-1.mga2
+ Revision: 180846
- update to 1.53

* Wed Dec 07 2011 kharec <kharec> 1.520.0-1.mga2
+ Revision: 178210
- upstream has fixed dubious check in a new version
- 1.52

* Wed Dec 07 2011 kharec <kharec> 1.510.0-1.mga2
+ Revision: 178143
- update to 1.51

* Tue Nov 08 2011 jquelin <jquelin> 1.490.0-1.mga2
+ Revision: 165455
- remove MYMETA from %%doc
- update to 1.49

* Thu Nov 03 2011 jquelin <jquelin> 1.480.0-1.mga2
+ Revision: 162228
- update to 1.48

* Thu Oct 13 2011 jquelin <jquelin> 1.450.0-1.mga2
+ Revision: 154334
- update to 1.45

* Wed Jun 15 2011 jquelin <jquelin> 1.440.0-1.mga2
+ Revision: 106998
- update to 1.44

* Thu Mar 10 2011 jquelin <jquelin> 1.390.0-1.mga1
+ Revision: 67470
- adding missing buildrequires:
- update to 1.39

* Fri Jan 28 2011 dmorgan <dmorgan> 1.380.0-2.mga1
+ Revision: 43021
- Fix spec file
- New version 1.38

* Wed Jan 19 2011 jquelin <jquelin> 1.370.0-2.mga1
+ Revision: 24187
- rebuild
- use meta.yml

* Mon Jan 17 2011 spuhler <spuhler> 1.370.0-1.mga1
+ Revision: 20814
- removed buildroot definition from .spec
  commented the if mdkversion lines

  + jquelin <jquelin>
    - imported package perl-IO-Socket-SSL


* Sat Dec 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.370.0-1mdv2011.0
+ Revision: 620579
- update to new version 1.37

* Wed Dec 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.350.0-1mdv2011.0
+ Revision: 616213
- update to new version 1.35
- update to new version 1.34

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 1.330.0-1mdv2010.1
+ Revision: 526448
- update to 1.33

* Tue Feb 23 2010 Jérôme Quelin <jquelin@mandriva.org> 1.320.0-1mdv2010.1
+ Revision: 510078
- update to 1.32

* Sat Sep 26 2009 Jérôme Quelin <jquelin@mandriva.org> 1.310.0-1mdv2010.0
+ Revision: 449369
- update to 1.31

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 1.300.0-1mdv2010.0
+ Revision: 418655
- update to 1.30

* Sat Jul 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1.270.0-1mdv2010.0
+ Revision: 399598
- update to 1.27
- using %%perl_convert_version
- fixed license field

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-1mdv2010.0
+ Revision: 392998
- update to new version 1.26

* Fri Jul 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-1mdv2010.0
+ Revision: 391951
- update to new version 1.25

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2010.0
+ Revision: 370134
- update to new version 1.24

* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdv2009.1
+ Revision: 344391
- update to new version 1.23

* Sun Jan 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdv2009.1
+ Revision: 333405
- update to new version 1.22

* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2009.1
+ Revision: 332799
- update to new version 1.21

* Fri Jan 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.1
+ Revision: 330184
- update to new version 1.20

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdv2009.1
+ Revision: 324505
- update to new version 1.19

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2009.1
+ Revision: 305733
- update to new version 1.18

* Fri Oct 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2009.1
+ Revision: 294664
- update to new version 1.17

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2009.1
+ Revision: 292190
- update to new version 1.16

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2009.0
+ Revision: 277950
- update to new version 1.15

* Thu Jul 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdv2009.0
+ Revision: 236721
- update to new version 1.14

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.13-2mdv2009.0
+ Revision: 223798
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2008.1
+ Revision: 104553
- update to new version 1.12

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2008.1
+ Revision: 98019
- update to new version 1.11
- update to new version 1.11

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2008.0
+ Revision: 63958
- update to new version 1.08

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2008.0
+ Revision: 46638
- update to new version 1.07

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.06-1mdv2008.0
+ Revision: 20229
- 1.06


* Mon Sep 04 2006 Anssi Hannula <anssi@mandriva.org>
+ 2006-09-03 16:17:30 (59689)
Use module requires as per perl policy

* Fri Aug 18 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-17 22:40:50 (56700)
-Version 0.99.9

* Sun Aug 13 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-12 12:32:52 (55724)
Removed trailing dot from summary

* Sun Aug 13 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-12 12:29:08 (55723)
Version 0.998

* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-05 20:50:25 (53359)
Fixed Bug 24144 Can't install perl-IO-Socket-SSL because perl-Net_SSLeay doesn't provide perl(Net_SSLeay)

* Sun Aug 06 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-05 20:34:41 (53357)
import perl-IO-Socket-SSL-0.99.7-1mdv2007.0

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.99.7-1mdv2007.0
- New version (upstream version 0.997)
- dropped fileno patch (merged)

* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 0.97-5mdk
- Restored versioned Requires for perl-Net_SSLeay

* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 0.97-4mdk
- patched fileno == 0 bug in fileno method
- Updated to comply with Mandriva perl packaging policies

* Sat Jan 28 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.97-3mdk
- add BuildRequires: perl-Net_SSLeay

* Fri Jan 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.97-2mdk
- Add tests, update BuildRequires

* Tue Jul 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.97-1mdk
- 0.97

* Tue Jul 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.96-1mdk
- 0.96.
- Removed MANIFEST.

